<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:10:07 CEST 2020 -->
<title>Activity</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Activity";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Activity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activator.html" title="class in org.polarsys.chess.mobius.model.SAN"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/ActivityPlaceCase.html" title="interface in org.polarsys.chess.mobius.model.SAN"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/mobius/model/SAN/Activity.html" target="_top">Frames</a></li>
<li><a href="Activity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.mobius.model.SAN</div>
<h2 title="Interface Activity" class="title">Interface Activity</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">GraphicalElement</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a>, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/InstantaneousActivity.html" title="interface in org.polarsys.chess.mobius.model.SAN">InstantaneousActivity</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/TimedActivity.html" title="interface in org.polarsys.chess.mobius.model.SAN">TimedActivity</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/impl/ActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">ActivityImpl</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/impl/InstantaneousActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">InstantaneousActivityImpl</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/impl/TimedActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">TimedActivityImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Activity</span>
extends <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Activity</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getPlace--"><code><em>Place</em></code></a></li>
   <li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getOutputGate--"><code><em>Output Gate</em></code></a></li>
   <li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getCase--"><code><em>Case</em></code></a></li>
   <li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getPlacecase--"><code><em>Placecase</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/SANModelPackage.html#getActivity--"><code>SANModelPackage.getActivity()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getCase--">getCase</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Case</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/OutputGate.html" title="interface in org.polarsys.chess.mobius.model.SAN">OutputGate</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getOutputGate--">getOutputGate</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Output Gate</b></em>' reference list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Place.html" title="interface in org.polarsys.chess.mobius.model.SAN">Place</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getPlace--">getPlace</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Place</b></em>' reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/ActivityPlaceCase.html" title="interface in org.polarsys.chess.mobius.model.SAN">ActivityPlaceCase</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html#getPlacecase--">getPlacecase</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Placecase</b></em>' containment reference list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.polarsys.chess.mobius.model.SAN.NamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.polarsys.chess.mobius.model.SAN.<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a></h3>
<code><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html#getName--">getName</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html#setName-java.lang.String-">setName</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html#validate-org.eclipse.emf.common.util.DiagnosticChain-java.util.Map-">validate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.polarsys.chess.mobius.model.SAN.GraphicalElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.polarsys.chess.mobius.model.SAN.<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">GraphicalElement</a></h3>
<code><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html#getX--">getX</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html#getY--">getY</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html#setX-int-">setX</a>, <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/GraphicalElement.html#setY-int-">setY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPlace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlace</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Place.html" title="interface in org.polarsys.chess.mobius.model.SAN">Place</a>&gt;&nbsp;getPlace()</pre>
<div class="block">Returns the value of the '<em><b>Place</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Place.html" title="interface in org.polarsys.chess.mobius.model.SAN"><code>Place</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Place</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Place</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/SANModelPackage.html#getActivity_Place--"><code>SANModelPackage.getActivity_Place()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOutputGate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputGate</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/OutputGate.html" title="interface in org.polarsys.chess.mobius.model.SAN">OutputGate</a>&gt;&nbsp;getOutputGate()</pre>
<div class="block">Returns the value of the '<em><b>Output Gate</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/OutputGate.html" title="interface in org.polarsys.chess.mobius.model.SAN"><code>OutputGate</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Output Gate</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Output Gate</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/SANModelPackage.html#getActivity_OutputGate--"><code>SANModelPackage.getActivity_OutputGate()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCase</h4>
<pre>org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;getCase()</pre>
<div class="block">Returns the value of the '<em><b>Case</b></em>' attribute list.
 The list contents are of type <code>String</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Case</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Case</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/SANModelPackage.html#getActivity_Case--"><code>SANModelPackage.getActivity_Case()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPlacecase--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPlacecase</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/polarsys/chess/mobius/model/SAN/ActivityPlaceCase.html" title="interface in org.polarsys.chess.mobius.model.SAN">ActivityPlaceCase</a>&gt;&nbsp;getPlacecase()</pre>
<div class="block">Returns the value of the '<em><b>Placecase</b></em>' containment reference list.
 The list contents are of type <a href="../../../../../../org/polarsys/chess/mobius/model/SAN/ActivityPlaceCase.html" title="interface in org.polarsys.chess.mobius.model.SAN"><code>ActivityPlaceCase</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Placecase</em>' containment reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Placecase</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/SANModelPackage.html#getActivity_Placecase--"><code>SANModelPackage.getActivity_Placecase()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Activity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/Activator.html" title="class in org.polarsys.chess.mobius.model.SAN"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/mobius/model/SAN/ActivityPlaceCase.html" title="interface in org.polarsys.chess.mobius.model.SAN"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/mobius/model/SAN/Activity.html" target="_top">Frames</a></li>
<li><a href="Activity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
